View Issue Details

IDProjectCategoryView StatusLast Update
14488Bug reports[All Projects] _ Unknownpublic2019-04-30 09:11
Reporterrealitix Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.15.x 
Summary14488: SQL exception when creating a subquestion
Description

Hello,
I found a bug with the multiple choice type (M).

Steps To Reproduce
  1. Create a new survey with one group
  2. Create one question of type "Multiple choice" (M)
  3. Enable the other option
  4. Create the following subquestions:

SQ001 ; SQ001
SQ002 ; SQ002
SQ003 ; SQ003
other ; SQ004

  1. Save -> SQL Crash
Additional Information

I corrected the bug, I will send the pull request soon.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.8
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionnot important
Server OS (if known)
Webserver software & version (if known)
PHP Version0

Activities

realitix

realitix

2019-02-04 17:01

reporter   ~50397

Here the pull request:

https://github.com/LimeSurvey/LimeSurvey/pull/1211

DenisChenu

DenisChenu

2019-02-04 17:52

developer  

CDbException.html (29,318 bytes)
DenisChenu

DenisChenu

2019-02-04 18:01

developer   ~50398

Issue in database … (and this code need to be reviewed … use a while to try different number …)
Fixed in https://github.com/LimeSurvey/LimeSurvey/commit/5df2bf4cd28b9d240e11cd6fcdb1c32f2ad75746

realitix

realitix

2019-02-05 16:34

reporter   ~50414

Thanks, it works.
you can close this issue.

Issue History

Date Modified Username Field Change
2019-02-04 16:50 realitix New Issue
2019-02-04 17:01 realitix Note Added: 50397
2019-02-04 17:52 DenisChenu File Added: CDbException.html
2019-02-04 17:57 DenisChenu Assigned To => DenisChenu
2019-02-04 17:57 DenisChenu Status new => assigned
2019-02-04 18:01 DenisChenu Status assigned => resolved
2019-02-04 18:01 DenisChenu Resolution open => fixed
2019-02-04 18:01 DenisChenu Fixed in Version => 3.15.x
2019-02-04 18:01 DenisChenu Note Added: 50398
2019-02-05 16:34 realitix Note Added: 50414
2019-04-30 09:11 c_schmitz Status resolved => closed